@import "variables.scss";

.container {
  height: calc(100vh - 110px);
  padding-top: 20px;
  padding-left: 20px;

  * {
    font-family: Roboto;
  }
}

.title {
  color: #292b2c;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 900;
  line-height: 24px;
  margin-right: 46px;
}

/deep/ {
  .mat-form-field {
    .mat-form-field-wrapper {
      .mat-form-field-flex {
        background-color: $white;
      }
    }
  }
  .mat-form-field-label {
    transform: none !important;
    position: relative !important;
    top: 10px !important;
    left: 10px !important;
  }

  .mat-form-field-can-float.mat-form-field-should-float {

    .mat-form-field-label,
    .mat-form-field-empty.mat-form-field-label {
      display: none !important;
    }
  }

  .mat-form-field-underline {
    display: none;
  }

  .mat-form-field-infix {
    border: none;
    border-radius: 6px;
    width: 180px;
    height: 35px;
    padding: 10px !important;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
  }
}

.top-page {
  position: relative;
  &:before {
    content: '';
    display: block;
    width: calc(100% - 20px);
    height: 1px;
    background: rgba(0, 0, 0, 0.12);
    position: absolute;
    bottom: 0;
    left: 0;
  }

  .top-btn {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: absolute;
    top: 0;
    right: 20px;

    .btn-calculator {
      display: flex;
      align-items: center;
      justify-content: center;
      min-width: 104px;
      height: 35px;
      padding: 0;
      font-size: 15px;
      font-weight: bold;
      color: $white-text-color;
      border: none;
      border-radius: 3px;
      background: $primary-color;
      box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
      cursor: pointer;

      ::ng-deep.mat-button-wrapper {
        line-height: 33px;
      }

      &.export {
        min-width: 134px;
        margin-right: 15px;
      }

      &[disabled] {
        background: $default-border-color;
        pointer-events: none;
      }
    }
  }

  ::ng-deep .cover-radio {
    display: inline-block;
    .text-radio {
      display: inline-block;
      padding-left: 20px;
      font-size: 14px;
      font-weight: bold;
      color: $gray-darker;
      text-transform: capitalize;
    }
    .mat-radio-button {
      padding-left: 23px;
      &.mat-accent {
        .mat-radio-container {
          width: 18px;
          height: 18px;
        }
        .mat-radio-outer-circle {
          width: 18px;
          height: 18px;
          border-color: $gray-disabled;
        }
        .mat-radio-inner-circle {
          width: 18px;
          height: 18px;
        }
      }
      .mat-radio-label-content {
        color: $gray-darker;
      }
     
    }
  }
}